%define module pyflakes

%define enable_tests 0

Name:           python-%{module}
Version:        2.2.0
Release:        %mkrel 1
Summary:        Simple program which checks Python source files for errors
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/pyflakes
Source:         https://pypi.io/packages/source/p/pyflakes/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%package -n python3-%{module}
Summary:        Simple program which checks Python source files for errors
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:      python2-%{module} < 2.1.1-2

%description -n python3-%{module}
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%prep
%setup -qn %{module}-%{version}

%build
%py3_build

%check
%if %{enable_tests}
%{__python3} setup.py test
%endif

%install
%py3_install

%files -n python3-%{module}
%{_bindir}/%{module}
%{python3_sitelib}/*


%changelog
* Tue Jul 14 2020 shlomif <shlomif> 2.2.0-1.mga8
+ Revision: 1605889
- New version 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-3.mga8
+ Revision: 1530961
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 2.1.1-2.mga8
+ Revision: 1437967
- rebuild for python3.8
- drop python2 support

* Sat Mar 16 2019 shlomif <shlomif> 2.1.1-1.mga7
+ Revision: 1378061
- New version 2.1.1

* Sat Jan 05 2019 wally <wally> 2.0.0-2.mga7
+ Revision: 1349770
- rebuild for python3.7

* Sun Nov 11 2018 shlomif <shlomif> 2.0.0-1.mga7
+ Revision: 1329603
- New version 2.0.0

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-4.mga7
+ Revision: 1289777
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 1.6.0-3.mga7
+ Revision: 1218939
- fix provides
- add Group

* Thu Apr 05 2018 kekepower <kekepower> 1.6.0-2.mga7
+ Revision: 1215389
- Renamed python-pyflakes to python2-pyflakes
- Using python_provide

* Sat Dec 02 2017 shlomif <shlomif> 1.6.0-1.mga7
+ Revision: 1180684
- New version 1.6.0

* Fri Aug 04 2017 shlomif <shlomif> 1.0.0-2.mga7
+ Revision: 1135038
- rebuild for new python3

* Fri Jan 08 2016 dglent <dglent> 1.0.0-1.mga6
+ Revision: 920580
- Version 1.0.0

* Wed Oct 07 2015 daviddavid <daviddavid> 0.8.1-5.mga6
+ Revision: 886835
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 739450
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-3.mga5
+ Revision: 729452
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 688250
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 pterjan <pterjan> 0.8.1-1.mga5
+ Revision: 630334
- 0.8.1
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-4.mga4
+ Revision: 543973
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-3.mga4
+ Revision: 499190
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-2.mga4
+ Revision: 490589
- add Provides and Obsoletes on pyflakes

* Wed Oct 02 2013 grenoya <grenoya> 0.7.3-1.mga4
+ Revision: 490489
- add setuptools as BR
- new version 0.7.3
- adapt spec file to new name
- add python3 package
- move pyflakes to python-pyflakes to fit policy

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 378401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 grenoya <grenoya> 0.5.0-1.mga2
+ Revision: 141241
- upgrade to 0.5.0
- clean spec
- fix url and licence
- use macro when possible
- imported package pyflakes

